using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;

namespace DTable_App.DTable_Test
{
	/// <summary>
	/// l_015 的摘要说明。
	/// </summary>
	public class l_015 : System.Web.UI.Page
	{
		protected dmenu.Dmenu Dmenu1;
		protected dtable.dTable DTable1;
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			// 在此处放置用户代码以初始化页面
			Dmenu1.Data_DataconnectString =sharecode.DataconnectString;
			
			Dmenu1.Sty_UrlTarget="_self"; 
			Dmenu1.List_restriction="menu_lb='dtable4.0示例'";
			
			DTable1.ConnStr=sharecode.DataconnectString;
			DTable1.TableName ="mydtable";
			DTable1.List_SQL="select xx_id,主题,发布人,日期 from mydtable where 父id is null order by xx_id desc";
			DTable1.Search ="主题_dtablestring|主题|like^内容_dtablestring|内容|like^日期_dtabletime|发布日期|=";
			string strlb=sharecode.GetQueryStringValue("lb");
			if(strlb.Length>0)
			{
				DTable1.Search_Mode =int.Parse(strlb);
				Page.Response.Cookies["search_mode"].Value=strlb;
			}
			else
			{
				if(sharecode.GetCookieValue("search_mode")!="")
				{
					DTable1.Search_Mode =int.Parse(sharecode.GetCookieValue("search_mode"));
				}
				else
				{
					DTable1.Search_Mode=1;
				}
			}
			DTable1.Menu_Enable =true;
		}

		#region Web 窗体设计器生成的代码
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: 该调用是 ASP.NET Web 窗体设计器所必需的。
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// 设计器支持所需的方法 - 不要使用代码编辑器修改
		/// 此方法的内容。
		/// </summary>
		private void InitializeComponent()
		{    
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion
	}
}
